BDB(1)

NAME
bdb - the Bigloo Debugger

SYNOPSIS
bdb [ options ] executable-file

DESCRIPTION
Bdb is a symbolic debugger for programs compiled and linked with bigloo(1). Bdb allows to stop executions by the means of breakpoints. It allows to step inside the source code, to inspect global and local variables, to inspect the execution stack and to evaluate bigloo expressions. Bigloo is designed to interleave Scheme and C code. In consequence, debugging Bigloo programs requires the ability to step into C code. Bdb allows that because bdb knows how to handle C code and C data structures. Bdb is built on the top of gdb(1) In consequence, all gdb commands are available through bdb.

When a bigloo program stops because of an error, bdb stops the execution in the error handler and gives you the opportunity to inspect the data structure of your program.

*** THIS IS AN ALPHA RELEASE ***

If it fails, if it does not show accurate informations, please, be tolerant.

OPTIONS

  Getting help

-help, --help
    Print a help message.

  Gdb compatibility

--quiet
    Do not print version number on startup.

  Mode and Language

-mode mode
    Set bdb mode. Legal values are mixte, scheme, and c. mixte is used by default.

-suffix suffix
    Recognize suffix as Scheme source

  Bdb debug configuration:

-v[23]
    Set verbose mode on.

--verbose
    Print version information and exit

-t[234]
    Enables tracing mode

-active-prompt
    Enables active prompt (default)

-no-active-prompt
    Disables active prompt

  bdb environment:

--bee
    Runs bdb as a Bee client

--emacs, --fullname
    Runs bdb as an Emacs client

--root-dir dir
    Sets the Bee root directory

--afile afile
    Sets the Bee bglafile file name

--etags etags
    Sets the Bee bgltags file name

--no-demangling
    Disable demangling (i.e., C mode)

--no-heap-explorer
    Disable heap explorer (i.e., C mode)

  Gdb settings:

--gdb gdb
    The gdb binary file

CONFIGURATION FILE

~/.bdbrc

SEE ALSO
The full documentation for bdb is maintained as a Texinfo manual. If the info and bdb programs are properly installed at your site, the command

    info bdb

should give you access to the complete manual.

AUTHOR
Manuel SERRANO, Manuel.Serrano@inria.fr